Security Advisories

CVE-2021-40833: Denial-of-Service (DoS) Vulnerability

Description

Denial-of-Service of the antivirus engine when unpacking UPX file.

STATUS: Fixed

RISK LEVEL: Medium

FIX: FIX No User action is required. The required fix has been published through automatic update channel with Capricorn update 2021-11-22_03

Affected Products

 

  • F-Secure All F-Secure Endpoint Protection products on Windows and Mac
  • F-Secure Linux Security (32-bit)
  • F-Secure Linux Security 64
  • F-Secure Atlant
  • F-Secure Internet Gatekeeper

Platforms

All supported platforms for the affected products

More Information

A vulnerability affecting F-Secure antivirus engine was discovered whereby unpacking UPX file can lead to denial-of-service. The vulnerability can be exploited remotely by an attacker. A successful attack will result in denial-of-service of the antivirus engine.

This issue was reported to F-Secure through the Vulnerability Reward Program. No known exploit or attack has been seen in the wild.

Credits

F-Secure Corporation would like to thank faty420 for bringing this issue to our attention. 

Date Issued: 2021-11-26